<?php
# Script by seg0ro http://mobilarts.ru
# Not for sale!!!

defined('_IN_JOHNCMS') or die('Error: restricted access');
require_once ('../incfiles/lib/class.upload.php');

$fileName = translit($_FILES['file']['name']);

$fileSize = $_FILES['file']['size'];

$ext = array_pop(explode(".", $fileName));

if ($fileSize > 102400 * $set['flsz'])
  $error .= 'Вес файла превышает '.$set['flsz'].' Кб.!<br />';

if (strlen($fileName) > 50)
  $error .= 'Длинна имени файла превышает 50 символов!<br />';

if (preg_match("/[^\da-zA-Z_\-.]+/", $fileName))
  $error .= 'В имени файла присутствуют запрещенные символы!<br />';

$check = 0;
if (!empty($_SESSION['filename'])){
  $check = $_SESSION['filename'] == $_FILES['file']['name'] ? 1 : 0;
}

if ($check)
  $error .= 'Вы уже загружали этот файл!<br />';

if (!$error){
  $handle = new Upload($_FILES['file'], 'ru_RU');
  if ($handle->uploaded){
    $handle->file_new_name_body = translit(str_replace('.'.$ext, '', $_FILES['file']['name']));
    $handle->Process('../files/forum/');
    if ($handle->processed){
      mysql_query("INSERT INTO `forum_files` SET
      `post` = '$postId',
      `topic` = '$topicId',
      `time` = '".time()."',
      `user_id` = '$user_id',
      `filename` = '".mysql_real_escape_string($handle->file_dst_name)."',
      `tempid` = '$tempId'
      ");
      $_SESSION['filename'] = $_FILES['file']['name'];
    }else{
      $error .= $handle->error;
    }
  }
}